<template>
  <view class="detail_wrap">
    <nav-bar title="祥粤云学堂"></nav-bar>
    <view class="detail_wrap_title">{{ goodsDetail.goodsName }}</view>
    <view class="content">
      <handouts-box
        :handoutsId="goodsDetail.handoutsId"
        v-if="goodsDetail.handoutsId"
      />
    </view>
  </view>
</template>

<script>
import handoutsBox from "@/components/course/handoutsBox.vue";
import { metaSetScalable } from "../../common/navTo";
export default {
  name: "SaasMiniprogramJydetail",

  data() {
    return {
      options: {},
      goodsDetail: {},
    };
  },
  onShow() {
    // #ifdef H5
    metaSetScalable("no");
    // #endif
  },
  async onLoad(options) {
    this.options = options;
    if (this.options.skipPort) {
      await this.$method.skipLogin(this.options.skipPort);
    }
    if (this.$method.isGoLogin()) {
      return;
    }
    this.getGoodsDetail();
  },

  methods: {
    getGoodsDetail() {
      this.$api.goodsDetail(this.options.id).then((res) => {
        this.goodsDetail = res.data.data;
      });
    },
    metaSetScalable1() {
      let meta = document.querySelector(".meta_scalable_yes");
      console.log("🚀 ~ file: jydetail.vue:47 ~ metaSetScalable ~ meta:", meta);
      if (meta) {
        meta.remove();
      }
      document.querySelector(".meta_scalable_yes");
      console.log("12321321", meta);
    },
  },
  components: {
    handoutsBox,
  },
};
</script>
<style>
page {
  background: #eaeef1;
}
</style>
<style lang="scss" scoped>
.content {
  padding: 16rpx;
}
.detail_wrap_title {
  background: #ffffff;
  color: #222222;
  font-size: 32rpx;
  padding: 30rpx 106rpx 28rpx 22rpx;
}
</style>
